<?php
header("Content-Type: text/html; charset=iso-8859-1");
ViewResponse::getInstance()->setMethodAjax();

switch ($type){
  
  case 'nameDoc':
    
    $o_ObjectBean = new DocenteBean();
    if($value!=""){ 
      $o_ObjectBean->setCodigoDocente($value);
      
      $o_class = new DocenteBL();
      $a_ObjectDocenteBean = $o_class->busquedaDocente($o_ObjectBean);

      if(is_array($a_ObjectDocenteBean) && count($a_ObjectDocenteBean) > 0){
        $tmp = array($nombreElm=>$a_ObjectDocenteBean[0]->getNombre());
      }else{
        $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el código : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
      }
      
      $scadena = utilJson::generateJsonElment($tmp);
//      echo "<pre>";
//      print_r($scadena);
//      echo "<pre>";
    }
    
    header("X-JSON: ".$scadena);
  break;
  
  case 'eliminarFedu' :
    
    $o_FeduCabBean = new FeduCabBean();
    $o_FeduCabBean->setFeducabId($id);
    
    $o_FeduCabBL = new FeduCabBL();
    $bResult = $o_FeduCabBL->eliminarFeduCab($o_FeduCabBean);
    
    if($bResult){
      $scadena = 1;
    }else{
      $scadena = 0;
    }
    
    header("X-JSON: ".$scadena);
    
  break;
  
}

?>